Page MenuHomePhabricator

Deploy Growth experiments at Indonesian Wikipedia
Closed, ResolvedPublicMar 17 2021

Description

Translations

Help panel

Mentoring

  • Signature list: to be created and link it here
  • The signature list has been formatted like it should be.

Suggested edits

Suggested edits are based on these 5 task-types. At the moment, they can't be substituted. Please check maintenance template and links:

For templates only, you can suggest more templates that match the task description.

Extra links:

Anything else?

Do you have any particular information or configuration that we should be aware of (like you have a special in-person mentoring program, or your wiki uses FlaggedRevisions...):

Event Timeline

Hi, Trizek. I'm currently translating the interface. Will see what I can do later on.

Hi, Trizek. I'm currently translating the interface. Will see what I can do later on.

Thank you! Don't forget that you can share the work with others. :)

Whatever you will translate before Sunday evening UTC will be available on test.wikipedia.org for checking on Wednesday.

Hello!

65% of the interface has been translated. Good job, keep going! :)

Is there anything I can help you with?

Hello!

65% of the interface has been translated. Good job, keep going! :)

Yes, we have done most of them. Please re-check if we're missing something. :)

Is there anything I can help you with?

We're fine at the moment. Instead, what can we do next?

We're fine at the moment. Instead, what can we do next?

Check on the task description above, to see if the links are the right ones and to provide the missing ones.

Has your community agreed on getting the features?

Hi Trizek, Is "Inserting images using the visual editor" and "Inserting references using the visual editor" based on this page? If so, then I will translate that page.

We recommend to use the visual editor so that new users don't need to learn wikitext for their first steps (they can learn it when they know more about our policies).

This is why we advise to have help pages about inserting references and images using the visual editor. You can find the relevant information, already translated, on this page: https://www.mediawiki.org/wiki/Help:VisualEditor/User_guide/id

We recommend to use the visual editor so that new users don't need to learn wikitext for their first steps (they can learn it when they know more about our policies).

This is why we advise to have help pages about inserting references and images using the visual editor. You can find the relevant information, already translated, on this page: https://www.mediawiki.org/wiki/Help:VisualEditor/User_guide/id

Done. You can find it on this page.

Cool! I updated the task description accordingly.

Hi Trizek. For how to add links (Q27919580) and how to insert images (Q27919584) available on Indonesian Wikipedia. Also, for "Translate the documentation", I think the translations are done.

Thank you for this update, Johnstad. I updated the task description.

Some key elements are still needed. The translation of the interface is a must-have.

We also need to know how you would translate the following sentences

  • Special:Homepage
  • Special:WelcomeSurvey
  • Special:Impact
  • Special:ClaimMentee

We also need to know which tutorial is the best between Wikipedia:Tutorial and Wikipedia:Pengantar, since we can only use one of these two pages.

When this will be done, we would proceed on the next steps: recruiting mentors and finishing the choose of help pages. :)

Thank you for your help!

Hi Trizek.

Copyedit guide (Q10953805) available on Indonesian Wikipedia. It's still a draft, but sufficient for beginners.

Here's the translation of the following sentences.

  • Special:Homepage = Istimewa:Beranda
  • Special:WelcomeSurvey = Istimewa:Survei_awal
  • Special:Impact = Istimewa:Dampak
  • Special:ClaimMentee = Istimewa:Pilih_pengguna_yang_dibimbing

We're still working on the translation of the interface.

In my opinion, the best tutorial page is Wikipedia:Tutorial. It's more comprehensive than Wikipedia:Pengantar.

One more question. Pages needing attention (Q4664141) page is mostly historical in several languages. Since it's historical, is that necessary to translate the page into the Indonesian language?

Thank you.

Thank you for the update, @Johnstad.

One more question. Pages needing attention (Q4664141) page is mostly historical in several languages. Since it's historical, is that necessary to translate the page into the Indonesian language?

Any page that explains how to update an article will be fine. The goal is to provide some guidance on how to change information in an article to have it being updated.

Change 667533 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/GrowthExperiments@master] Add Indonesian special page aliases

https://gerrit.wikimedia.org/r/667533

Change 667533 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Add Indonesian special page aliases

https://gerrit.wikimedia.org/r/667533

Trizek-WMF moved this task from Inbox to Q3 2019-20 on the Growth-Team board.
Trizek-WMF edited projects, added Growth-Team (Current Sprint); removed Growth-Team.

Indonesian Wikipedia is ready for a deployment. Please set the tools for 0% of new accounts for the moment.

Hi Trizek,

Any page that explains how to update an article will be fine. The goal is to provide some guidance on how to change information in an article to have it being updated.

Instead of using Q4664141, I created Wikipedia:Memutakhirkan informasi based on Q105721965. Is that acceptable?

Instead of using Q4664141, I created Wikipedia:Memutakhirkan informasi based on Q105721965. Is that acceptable?

Thank you for creating this page. You know your wiki much better than I do, so we will use this page! :)

Change 667619 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Enable Growth features in idwiki in stealth mode

https://gerrit.wikimedia.org/r/667619

Change 667619 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable Growth features in idwiki in stealth mode

https://gerrit.wikimedia.org/r/667619

Mentioned in SAL (#wikimedia-operations) [2021-03-03T00:08:12Z] <urbanecm@deploy1002> sync-file aborted: 80edca8a385870a0e60a98198c99c9839fc01d80: Enable Growth features in idwiki in stealth mode (T259024; 1/3) (duration: 06m 45s)

Mentioned in SAL (#wikimedia-operations) [2021-03-03T00:31:38Z] <Urbanecm> 00:31:26 Synchronized wmf-config/InitialiseSettings.php: 80edca8a385870a0e60a98198c99c9839fc01d80: Enable Growth features in idwiki in stealth mode (T259024; 1/3) (duration: 01m 11s)

Mentioned in SAL (#wikimedia-operations) [2021-03-03T00:38:44Z] <Urbanecm> 00:38:12 Synchronized dblists/growthexperiments.dblist: 80edca8a385870a0e60a98198c99c9839fc01d80: Enable Growth features in idwiki in stealth mode (T259024; 2/3) (duration: 01m 10s)

Mentioned in SAL (#wikimedia-operations) [2021-03-03T00:41:37Z] <Urbanecm> 00:40:16 Synchronized wmf-config/config/idwiki.yaml: 80edca8a385870a0e60a98198c99c9839fc01d80: Enable Growth features in idwiki in stealth mode (T259024; 3/3) (duration: 01m 09s)

Urbanecm_WMF added a subscriber: Urbanecm_WMF.

@Trizek-WMF Deployed in dark mode now. Please check and let me know if there's anything to change.

Task pool overview:

1[urbanecm@mwmaint1002 ~]$ mwscript extensions/GrowthExperiments/maintenance/listTaskCounts.php --wiki=idwiki
2Topic copyedit references update expand links
3--------------------------------------------------------------------------------
4architecture 0 29 2 9 1
5fashion 0 16 0 5 6
6entertainment 2 33 4 19 13
7comics-and-anime 3 30 0 5 14
8music 3 122 7 16 45
9sports 5 221 40 46 59
10video-games 3 22 7 7 9
11performing-arts 0 3 0 5 4
12literature 4 86 0 23 32
13art 4 94 2 27 22
14tv-and-film 4 68 23 81 24
15women 1 40 6 19 20
16biography 11 596 55 135 123
17business-and-economics 6 175 17 53 53
18philosophy-and-religion 3 128 2 30 36
19food-and-drink 0 56 0 11 8
20military-and-warfare 2 138 5 42 85
21education 6 74 4 39 25
22politics-and-government 2 103 25 39 30
23history 1 160 5 45 30
24society 6 277 31 95 107
25transportation 0 154 8 32 99
26biology 9 213 6 43 37
27earth-and-environment 4 110 4 22 34
28physics 0 89 3 19 44
29chemistry 1 30 0 17 7
30computers-and-internet 12 163 22 34 61
31mathematics 0 21 0 3 6
32medicine-and-health 4 91 5 28 30
33general-science 25 821 50 221 305
34engineering 1 90 6 15 36
35technology 7 146 14 40 69
36africa 2 36 7 18 15
37south-america 0 24 4 5 3
38central-america 1 8 3 3 1
39north-america 2 65 8 65 26
40asia 14 792 74 193 141
41europe 4 297 22 58 71
42oceania 0 51 2 12 9
43[urbanecm@mwmaint1002 ~]$

I informed the chapter, my main point of contact, about it.

The community has been informed by the Indonesian chapter.

There is now a mentorlist: https://id.wikipedia.org/wiki/Wikipedia:Program_pembelajaran/Area_Mentor/mentor @Urbanecm_WMF, can you add it to the configuration?

@Trizek-WMF I will do it next week, as we can't do any deployments on Fridays.

Change 669975 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] idwiki: Growth features: Add mentorlist

https://gerrit.wikimedia.org/r/669975

Change 669975 merged by jenkins-bot:
[operations/mediawiki-config@master] idwiki: Growth features: Add mentorlist

https://gerrit.wikimedia.org/r/669975

Mentioned in SAL (#wikimedia-operations) [2021-03-08T20:53:44Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 1227e2ad8d14e5f0a10a1050e0fadbe0d3c3e238: idwiki: Growth features: Add mentorlist (T259024) (duration: 00m 58s)

Urbanecm_WMF moved this task from Backlog to In review on the User-Urbanecm_WMF (Engineering) board.

@Trizek-WMF I will do it next week, as we can't do any deployments on Fridays.

@Trizek-WMF This was done.

Urbanecm_WMF changed the subtype of this task from "Task" to "Deadline".Mar 9 2021, 5:25 PM
Trizek-WMF set Due Date to Mar 16 2021, 11:00 PM.Mar 9 2021, 6:00 PM
Urbanecm_WMF changed Due Date from Mar 16 2021, 11:00 PM to Mar 17 2021, 8:00 PM.Mar 16 2021, 8:46 AM

Change 673162 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] idwiki: Deploy Growth features to newcomers

https://gerrit.wikimedia.org/r/673162

Change 673162 merged by jenkins-bot:
[operations/mediawiki-config@master] idwiki: Deploy Growth features to newcomers

https://gerrit.wikimedia.org/r/673162

Mentioned in SAL (#wikimedia-operations) [2021-03-17T23:42:50Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: c730dd5feb865a8325279cd4e76c133512f14251: idwiki: Deploy Growth features to newcomers (T259024) (duration: 01m 08s)